Index: tmp/org.txm.core/src/java/org/txm/objects/Text.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Text.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/objects/Text.java	(revision 2442)
@@ -41,17 +41,18 @@
  * The Class Text.
  */
 public class Text extends TXMResult {
-
-	//	/** The editions. */
-	//	HashMap<String, Edition> editions = new HashMap<String, Edition>();
-
+	
+	// /** The editions. */
+	// HashMap<String, Edition> editions = new HashMap<String, Edition>();
+	
 	/** The source file. */
-	@Parameter(key=TBXPreferences.SOURCE)
+	@Parameter(key = TBXPreferences.SOURCE)
 	File pSource;
+	
 	/** The XML-TXM file. */
-	@Parameter(key=TBXPreferences.XMLTXM)
+	@Parameter(key = TBXPreferences.XMLTXM)
 	File pXMLTXMFile;
-
+	
 	/**
 	 * Instantiates a new text.
 	 *
@@ -60,15 +61,15 @@
 	 */
 	public Text(Project project) {
 		super(project);
-
+		
 		this.setVisible(false);
-		this.internalPersistable = true;
 	}
-
+	
+	@Override
 	public Project getParent() {
 		return (Project) super.getParent();
 	}
-
+	
 	/**
 	 * Instantiates a new text.
 	 *
@@ -77,19 +78,23 @@
 	 */
 	public Text(String parametersNodePath) {
 		super(parametersNodePath);
-
+		
 		this.setVisible(false);
-		this.internalPersistable = true;
 	}
-
-	/* 
-	 * Retro compatiblity to load Editions from a XML Element 
+	
+	@Override
+	public boolean isInternalPersistable() {
+		return true;
+	}
+	
+	/*
+	 * Retro compatiblity to load Editions from a XML Element
 	 */
 	protected boolean _load(Element e) {
 		Element src = (Element) e
 				.getElementsByTagName("source").item(0); //$NON-NLS-1$
 		pSource = new File(src.getAttribute("file")); //$NON-NLS-1$
-		//sourcetype = src.getAttribute("type"); //$NON-NLS-1$
+		// sourcetype = src.getAttribute("type"); //$NON-NLS-1$
 		try {
 			String biblio = e.getAttribute("biblio"); //$NON-NLS-1$
 			if (biblio != null && biblio.length() > 0) {
@@ -97,8 +102,10 @@
 				ed.setName("biblio");
 				ed.setIndex(biblio);
 			}
-		} catch (Exception e2) {	} 
-
+		}
+		catch (Exception e2) {
+		}
+		
 		try {
 			String pdf = e.getAttribute("pdf"); //$NON-NLS-1$
 			if (pdf != null && pdf.length() > 0) {
@@ -106,23 +113,25 @@
 				ed.setName("pdf");
 				ed.setIndex(pdf);
 			}
-		} catch (Exception e2) {	} 
-
+		}
+		catch (Exception e2) {
+		}
+		
 		userName = e.getAttribute("name"); //$NON-NLS-1$
-
+		
 		Element editionsnode = (Element) e.getElementsByTagName("editions").item(0); //$NON-NLS-1$
 		NodeList editionList = editionsnode.getElementsByTagName("edition"); //$NON-NLS-1$
-
-		//System.out.println(" build text "+name+" nb editions: "+editionList.getLength());
+		
+		// System.out.println(" build text "+name+" nb editions: "+editionList.getLength());
 		for (int i = 0; i < editionList.getLength(); i++) {
 			Element edition = (Element) editionList.item(i);
 			Edition ed = new Edition(this);
 			ed._load(edition);
 		}
-
+		
 		return true;
 	}
-
+	
 	/**
 	 * Gets the editions.
 	 *
@@ -132,7 +141,7 @@
 	public List<Edition> getEditions() {
 		return (List<Edition>) getChildren(Edition.class);
 	}
-
+	
 	/**
 	 * Gets the edition.
 	 *
@@ -148,48 +157,48 @@
 		}
 		return null;
 	}
-
-	//	/**
-	//	 * Adds the edition.
-	//	 *
-	//	 * @param name the name
-	//	 * @param type the type
-	//	 * @param index the index
-	//	 * @return the edition
-	//	 */
-	//	public Edition addEdition(String name, String type, File index) {
-	//		Document doc = getSelfElement().getOwnerDocument();
-	//		Element editionRoot = (Element) getSelfElement().getElementsByTagName(
-	//				"editions").item(0); //$NON-NLS-1$
-	//		Element editionElem = doc.createElement("edition"); //$NON-NLS-1$
-	//		editionElem.setAttribute("name", name); //$NON-NLS-1$
-	//		editionElem.setAttribute("type", type); //$NON-NLS-1$
-	//		editionElem.setAttribute("index", index.getAbsolutePath()); //$NON-NLS-1$
-	//		editionRoot.appendChild(editionElem);
+	
+	// /**
+	// * Adds the edition.
+	// *
+	// * @param name the name
+	// * @param type the type
+	// * @param index the index
+	// * @return the edition
+	// */
+	// public Edition addEdition(String name, String type, File index) {
+	// Document doc = getSelfElement().getOwnerDocument();
+	// Element editionRoot = (Element) getSelfElement().getElementsByTagName(
+	// "editions").item(0); //$NON-NLS-1$
+	// Element editionElem = doc.createElement("edition"); //$NON-NLS-1$
+	// editionElem.setAttribute("name", name); //$NON-NLS-1$
+	// editionElem.setAttribute("type", type); //$NON-NLS-1$
+	// editionElem.setAttribute("index", index.getAbsolutePath()); //$NON-NLS-1$
+	// editionRoot.appendChild(editionElem);
 	//
-	//		Edition e = new Edition(this, editionElem);
-	//		e.setPath(this.getPath() + e.name);
-	//		editions.put(name, e);
-	//		return e;
-	//	}
+	// Edition e = new Edition(this, editionElem);
+	// e.setPath(this.getPath() + e.name);
+	// editions.put(name, e);
+	// return e;
+	// }
 	//
-	//	/**
-	//	 * Removes the edition.
-	//	 *
-	//	 * @param name the name
-	//	 * @return the edition
-	//	 */
-	//	public Edition removeEdition(String name) {
-	//		Edition e = editions.get(name);
-	//		if (e != null) {
-	//			Element editionRoot = (Element) getSelfElement().getElementsByTagName(
-	//					"editions").item(0); //$NON-NLS-1$
-	//			editionRoot.removeChild(e.getSelfElement());
-	//			editions.remove(name);
-	//		}
-	//		return e;
-	//	}
-
+	// /**
+	// * Removes the edition.
+	// *
+	// * @param name the name
+	// * @return the edition
+	// */
+	// public Edition removeEdition(String name) {
+	// Edition e = editions.get(name);
+	// if (e != null) {
+	// Element editionRoot = (Element) getSelfElement().getElementsByTagName(
+	// "editions").item(0); //$NON-NLS-1$
+	// editionRoot.removeChild(e.getSelfElement());
+	// editions.remove(name);
+	// }
+	// return e;
+	// }
+	
 	/**
 	 * Gets the source file.
 	 *
@@ -202,7 +211,7 @@
 	public File getXMLTXMFile() {
 		return pXMLTXMFile;
 	}
-
+	
 	/**
 	 * Gets the PDF edition page path.
 	 *
@@ -211,7 +220,7 @@
 	public String getPDFPath() {
 		return getEdition("PDF").getIndex();
 	}
-
+	
 	/**
 	 * Gets the biblio edition page path.
 	 *
@@ -220,17 +229,17 @@
 	public String getBiblioPath() {
 		return getEdition("biblio").getIndex();
 	}
-
+	
 	@Override
 	public boolean saveParameters() throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	public boolean loadParameters() throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) throws Exception {
 		String path = parameters.getString(TBXPreferences.SOURCE);
@@ -243,65 +252,65 @@
 		}
 		return true;
 	}
-
+	
 	public void setName(String name) {
 		this.userName = name;
 	}
-
+	
 	public void setSourceFile(File src) {
 		if (pSource == null || !pSource.equals(src)) {
 			this.pSource = src;
 			this.dirty = true;
 		}
 	}
-
+	
 	public void setTXMFile(File txmFile) {
 		this.pXMLTXMFile = txmFile;
 	}
-
+	
 	@Override
 	public String getName() {
 		return userName;
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		return userName;
 	}
-
+	
 	@Override
 	public String getDetails() {
 		return userName;
 	}
-
+	
 	@Override
 	public void clean() {
 		if (pXMLTXMFile != null && pXMLTXMFile.exists()) {
 			pXMLTXMFile.delete();
 		}
 	}
-
+	
 	@Override
 	public boolean canCompute() throws Exception {
-		return true;//pSource.exists() || pTXMFile.exists();
+		return true;// pSource.exists() || pTXMFile.exists();
 	}
-
+	
 	@Override
 	protected boolean _compute() throws Exception {
-		//TODO System.out.println("CALL IMPORTMODULE TO BUILD TEXT="+userName);
+		// TODO System.out.println("CALL IMPORTMODULE TO BUILD TEXT="+userName);
 		return true;
 	}
-
+	
 	@Override
 	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
 		return false;
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return "Text";
 	}
-
+	
 	@Override
 	public String toString() {
 		return userName + " (file: " + pXMLTXMFile + ")";
